Bug 531180 - Missing icons in System menu (Gnome)
Summary: Missing icons in System menu (Gnome)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-menus
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-27 05:18 UTC by Christopher Beland
Modified: 2015-04-29 17:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-27 12:15:06 UTC
Type: ---


Attachments (Terms of Use)

Description Christopher Beland 2009-10-27 05:18:29 UTC
Running desktop-i386-20091024.19.iso as a LiveUSB with gnome-menus-2.28.0-3.fc12.i686, there are no icons under the System menu for Preferences, Administration, Help, About This Computer, Lock Screen, Log Out, and Shut Down.

Comment 1 Matthias Clasen 2009-10-27 12:15:06 UTC
This is intentional

Comment 2 Christopher Beland 2009-10-27 14:40:35 UTC
Intentionally permanent?  http://fedoraproject.org/wiki/QA/ReleaseCriteria#Desktop says "All items should have icons".  Is that no longer Fedora policy?

Comment 3 Matthias Clasen 2009-10-27 15:23:30 UTC
That should certainly be clarified to refer to applications only.

Comment 4 Vedran Miletić 2009-10-29 21:43:10 UTC
Why this isn't configurable?

Comment 5 Matthias Clasen 2009-10-29 22:26:34 UTC
Why should it ? 

Anyway, you can set /desktop/gnome/interface/menus_have_icons in gconf if you want the icons back.

Comment 6 Vedran Miletić 2009-10-30 08:50:09 UTC
In my opinion, it looks ugly and outdated, just like a change in Fedora window theme (it used to look a lot better in F11, and not to mention the one we had in FC5). 

Either way, thanks for letting me know. Please document in release notes, because I'm pretty sure other users will complain.

Comment 7 Vedran Miletić 2009-10-30 08:51:59 UTC
Oh, I see it's already document. Sorry for not checking that.

Comment 8 Christopher Beland 2009-10-30 14:36:31 UTC
I can see why it might be a good idea to turn off icons for submenu entries, but why isn't there an icon for e.g. Help, which actually starts a program?

Comment 9 Christopher Beland 2015-04-29 17:41:06 UTC
FTR, as of Fedora 21 there are icons for everything in menus.


Note You need to log in before you can comment on or make changes to this bug.